import { IIAMService, IIdentity } from '@essential-projects/iam_contracts';
import { Cronjob, ICronjobHistoryRepository, ICronjobHistoryService } from '@process-engine/persistence_api.contracts';
export declare class CronjobHistoryService implements ICronjobHistoryService {
    private readonly cronjobHistoryRepository;
    private readonly iamService;
    constructor(cronjobHistoryRepository: ICronjobHistoryRepository, iamService: IIAMService);
    create(identity: IIdentity, cronjob: Cronjob): Promise<void>;
    getAll(identity: IIdentity, offset?: number, limit?: number): Promise<Array<Cronjob>>;
    getByProcessModelId(identity: IIdentity, processModelId: string, startEventId?: string, offset?: number, limit?: number): Promise<Array<Cronjob>>;
    getByCrontab(identity: IIdentity, crontab: string, offset?: number, limit?: number): Promise<Array<Cronjob>>;
    private ensureUserHasClaim;
    private checkIfUserIsSuperAdmin;
}
